package com.bankaudit.process.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_team_hst")
public class AuditTeamHst {
/*	Table: audit_team_hst
	-------------------------

	Column Information
	----------------------

	Field              Type         Collation          Null    Key     Default  Extra           Privileges                       Comment  
	-----------------  -----------  -----------------  ------  ------  -------  --------------  -------------------------------  ---------
	id                 int(4)       (NULL)             NO      PRI     (NULL)   auto_increment  select,insert,update,references           
	version_no         int(2)       (NULL)             YES             (NULL)                   select,insert,update,references           
	legal_entity_code  int(2)       (NULL)             NO              (NULL)                   select,insert,update,references           
	audit_type_code    varchar(20)  latin1_swedish_ci  NO              (NULL)                   select,insert,update,references           
	plan_id            varchar(20)  latin1_swedish_ci  NO              (NULL)                   select,insert,update,references           
	unit_id            varchar(20)  latin1_swedish_ci  NO              (NULL)                   select,insert,update,references           
	audit_id           varchar(20)  latin1_swedish_ci  NO              (NULL)                   select,insert,update,references           
	user_id            varchar(20)  latin1_swedish_ci  NO              (NULL)                   select,insert,update,references           
	user_type          varchar(20) 
*/
	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;
	
	@Column(name="sche_auto_id")
	private Integer scheAutoId;
	
	@Column(name="version_no")
	private Integer versionNo;
	
	
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="plan_id")
	private String planId;
	
	@Column(name="unit_id")
	private String unitId;
	
	@Column(name="audit_id")
	private String auditId;
	
	@Column(name="user_id")
	private String userId;
	
	@Column(name="user_type")
	private String userType;

	
	public AuditTeamHst() {
	}

	
	/**
	 * @param legalEntityCode
	 * @param auditTypeCode
	 * @param planId
	 * @param unitId
	 * @param auditId
	 * @param userId
	 * @param userType
	 */
	public AuditTeamHst(AuditTeam auditTeam) {
		super();
		this.legalEntityCode = auditTeam.getLegalEntityCode();
		this.auditTypeCode = auditTeam.getAuditTypeCode();
		this.planId = auditTeam.getPlanId();
		this.unitId = auditTeam.getUnitId();
		this.auditId = auditTeam.getAuditId();
		this.userId = auditTeam.getUserId();
		this.userType = auditTeam.getUserType();
	}

	/**
	 * @param legalEntityCode
	 * @param auditTypeCode
	 * @param planId
	 * @param unitId
	 * @param auditId
	 * @param userId
	 * @param userType
	 */
	public AuditTeamHst(AuditTeamWrk auditTeamWrk) {
		super();
		this.legalEntityCode = auditTeamWrk.getLegalEntityCode();
		this.auditTypeCode = auditTeamWrk.getAuditTypeCode();
		this.planId = auditTeamWrk.getPlanId();
		this.unitId = auditTeamWrk.getUnitId();
		this.auditId = auditTeamWrk.getAuditId();
		this.userId = auditTeamWrk.getUserId();
		this.userType = auditTeamWrk.getUserType();
	}

	

	/**
	 * @return the scheAutoId
	 */
	public Integer getScheAutoId() {
		return scheAutoId;
	}


	/**
	 * @param scheAutoId the scheAutoId to set
	 */
	public void setScheAutoId(Integer scheAutoId) {
		this.scheAutoId = scheAutoId;
	}


	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}


	/**
	 * @return the versionNo
	 */
	public Integer getVersionNo() {
		return versionNo;
	}


	/**
	 * @param versionNo the versionNo to set
	 */
	public void setVersionNo(Integer versionNo) {
		this.versionNo = versionNo;
	}


	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the planId
	 */
	public String getPlanId() {
		return planId;
	}

	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}

	/**
	 * @return the unitId
	 */
	public String getUnitId() {
		return unitId;
	}

	/**
	 * @param unitId the unitId to set
	 */
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	/**
	 * @return the auditId
	 */
	public String getAuditId() {
		return auditId;
	}

	/**
	 * @param auditId the auditId to set
	 */
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	/**
	 * @return the userId
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * @param userId the userId to set
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
	 * @return the userType
	 */
	public String getUserType() {
		return userType;
	}

	/**
	 * @param userType the userType to set
	 */
	public void setUserType(String userType) {
		this.userType = userType;
	}
	
	
	
}
